using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;

namespace Mall
{
    public partial class AllMC3ClassMpa : System.Web.UI.Page
    {
        public string str_html = string.Empty;

        public string html_str_newsmcview_left_hot = string.Empty;
        public string html_str_newsmcview_left_new = string.Empty;
        public string html_str_newsmcview_left_his = string.Empty;
        protected void Page_Load(object sender, EventArgs e)
        {
            string lastview = Request.Cookies["lastview"] == null ? "" : Request.Cookies["lastview"].ToString();
            BLL.Models.MClassModels mcc = new BLL.Models.MClassModels();
            str_html = mcc.GetClassInfoForClassMap();
            //TempData["ClassMapStrHtml"] = str_html;
            DataTable dt = new DataTable();
            BLL.Models.MArticleModels model = new BLL.Models.MArticleModels();
            BLL.Models.ProductModels models_product = new BLL.Models.ProductModels();
             html_str_newsmcview_left_hot = models_product.GetProductHotLeft(7);
             html_str_newsmcview_left_new = models_product.GetProductnewLeft(7);
             html_str_newsmcview_left_his = models_product.GetProductHisLeft(7, lastview);
            //ViewData["html_str_newsmcview_left_hot"] = html_str_newsmcview_left_hot;
            //ViewData["html_str_newsmcview_left_new"] = html_str_newsmcview_left_new;
            //ViewData["html_str_newsmcview_left_his"] = html_str_newsmcview_left_his;
        }
    }
}